List local model-profile readiness.
Returns curated model profiles with local runtime readiness, install status, route-tier policy, benchmark hints, and paid-route gates. Runtime IDs are local-only details and should not be copied into public payloads.
GET
/v1/model-profiles
Returns curated model profiles with local runtime readiness, install
status, route-tier policy, benchmark hints, and paid-route gates. Runtime
IDs are local-only details and should not be copied into public payloads.
Authentication
Bearer Token
Responses
200
Local model-profile readiness.
application/jsonmodel_profiles
object[]
REQUIRED
Array of:
id
string
REQUIRED
name
string
REQUIRED
tier
string
REQUIRED
family
string
capability
string
runtime_id
string
REQUIRED
runtime_kind
string
REQUIRED
runtime_version
string
route_tier
string
model
string
REQUIRED
use_case
string
REQUIRED
description
string
REQUIRED
download_size_gb
integer
parameters_b
number
serving_backend
string
artifact_format
string
quantization
string
scheduler_features
string[]
Array of:
string
context_window_tokens
integer
max_concurrency
integer
queue_health
string
recent_latency_ms
integer
min_ram_gb
integer
REQUIRED
min_vram_gb
integer
REQUIRED
requires_gpu
boolean
REQUIRED
network_eligible
boolean
REQUIRED
benchmark_verified
boolean
REQUIRED
paid_route_eligible
boolean
REQUIRED
benchmark_summary
object
recommended
boolean
REQUIRED
recommended_reason
string
source
string
status
string
REQUIRED
notes
string[]
Array of:
string
default
B3IQ-native problem response.
curl -X GET 'http://127.0.0.1:8831/v1/model-profiles' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('http://127.0.0.1:8831/v1/model-profiles', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('http://127.0.0.1:8831/v1/model-profiles', headers=headers)print(response.json())
200
Response
{ "model_profiles": [ { "id": "<string>", "name": "<string>", "tier": "<string>", "family": "<string>", "capability": "<string>", "runtime_id": "<string>", "runtime_kind": "<string>", "runtime_version": "<string>", "route_tier": "<string>", "model": "<string>", "use_case": "<string>", "description": "<string>", "download_size_gb": 123, "parameters_b": 123, "serving_backend": "<string>", "artifact_format": "<string>", "quantization": "<string>", "scheduler_features": [ "<string>" ], "context_window_tokens": 123, "max_concurrency": 123, "queue_health": "<string>", "recent_latency_ms": 123, "min_ram_gb": 123, "min_vram_gb": 123, "requires_gpu": true, "network_eligible": true, "benchmark_verified": true, "paid_route_eligible": true, "benchmark_summary": "<object>", "recommended": true, "recommended_reason": "<string>", "source": "<string>", "status": "<string>", "notes": [ "<string>" ] } ]}
API Playground
Try this endpoint
GET
/v1/model-profiles

